%define major   %{version}
%define libname %mklibname myguiengine %{major}
%define devname %mklibname myguiengine -d

%define ogreplatform %{_lib}mygui-ogreplatform

Name:           mygui
Version:        3.4.3
Release:        %mkrel 3
Summary:        Fast, simple and flexible GUI library for Ogre
Group:          Development/C++
License:        MIT
URL:            http://mygui.info/
Source0:        https://github.com/MyGUI/mygui/archive/MyGUI%{version}/%{name}-%{version}.tar.gz
Patch0:         mygui-3.2.2-linking-boost_system.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(OGRE)
BuildRequires:  pkgconfig(uuid)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} >= %{version}-%{release}

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{libname}
Summary:        Shared libraries for MyGUI
Group:          System/Libraries
Requires:	%{ogreplatform} >= %{version}-%{release}

%description -n %{libname}
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{ogreplatform}
Summary:	An interface for the MyGUI library to the Ogre rendering engine
Group:		System/Libraries
Conflicts:	%{_lib}myguiengine3 < 3.4.3

%description -n %{ogreplatform}
MyGUI.OgrePlatform is an interface for the MyGUI library to the Ogre rendering
engine.

%package -n %{devname}
Summary:        Development files for MyGUI
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for MyGUI.

%prep
%autosetup -p1 -n %{name}-MyGUI%{version}

%build
%cmake \
    -DMYGUI_BUILD_DEMOS=FALSE \
    -DMYGUI_BUILD_DOCS=FALSE \
    -DMYGUI_BUILD_PLUGINS=FALSE \
    -DMYGUI_BUILD_TOOLS=FALSE \
    -DOGRE_INCLUDE_DIR=%{_includedir}/OGRE

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libMyGUIEngine.so.%{major}

%files -n %{ogreplatform}
%{_libdir}/libMyGUI.OgrePlatform.so

%files -n %{devname}
%{_includedir}/MYGUI/
%{_libdir}/libMyGUIEngine.so
%{_libdir}/pkgconfig/MYGUI.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 3.4.3-3.mga10
+ Revision: 2230235
- Mageia 10 Mass Rebuild

* Sun Nov 24 2024 danf <danf> 3.4.3-2.mga10
+ Revision: 2118744
- Rebuild for ogre

* Thu Jun 20 2024 wally <wally> 3.4.3-1.mga10
+ Revision: 2075794
- new version 3.4.3

* Fri Apr 01 2022 umeabot <umeabot> 3.2.2-14.mga9
+ Revision: 1840019
- Mageia 9 Mass Rebuild

* Wed May 26 2021 akien <akien> 3.2.2-13.mga9
+ Revision: 1728424
- Add upstream patch to fix build with C++17 (default in GCC 11)

* Wed Feb 19 2020 umeabot <umeabot> 3.2.2-12.mga8
+ Revision: 1544807
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 3.2.2-11.mga8
+ Revision: 1483404
- rebuild for boost 1.72.0
- build with new cmake macros

* Fri Nov 16 2018 akien <akien> 3.2.2-10.mga7
+ Revision: 1330254
- Rebuild against downgraded ogre 1.9.1

* Sat Oct 20 2018 akien <akien> 3.2.2-9.mga7
+ Revision: 1322870
- Backport upstream PR fixing Ogre plugins.cfg handling

* Sun Sep 23 2018 umeabot <umeabot> 3.2.2-8.mga7
+ Revision: 1299659
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 3.2.2-7.mga7
+ Revision: 1234298
- rebuild for ois 1.4

* Tue May 15 2018 akien <akien> 3.2.2-6.mga7
+ Revision: 1229661
- Add upstream patch (pending PR) fixing Ogre 1.10/1.11 compatibility
- Rebuild for ogre 1.11.0

* Sat Jan 13 2018 wally <wally> 3.2.2-5.mga7
+ Revision: 1192721
- rebuild for new ogre

* Mon Dec 25 2017 wally <wally> 3.2.2-4.mga7
+ Revision: 1184690
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 3.2.2-3.mga7
+ Revision: 1178336
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 3.2.2-2.mga7
+ Revision: 1154972
- rebuild with latest boost

* Sat Apr 16 2016 akien <akien> 3.2.2-1.mga6
+ Revision: 1003061
- Version 3.2.2
- Drop -doc, -demos and -tools packages:
  o Dramatically simplifies the spec file
  o Nobody uses this stuff, MyGUI developers on Mageia can build their demos themselves

* Mon Feb 15 2016 umeabot <umeabot> 3.2.1-9.mga6
+ Revision: 961690
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 daviddavid <daviddavid> 3.2.1-8.mga6
+ Revision: 915498
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 3.2.1-7.mga6
+ Revision: 883936
- rebuild for new boost 1.59.0

* Tue Aug 25 2015 cjw <cjw> 3.2.1-6.mga6
+ Revision: 869402
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 3.2.1-5.mga6
+ Revision: 860037
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-4.mga5
+ Revision: 751146
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2.1-3.mga5
+ Revision: 727423
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 682720
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Aug 25 2014 wally <wally> 3.2.1-1.mga5
+ Revision: 667383
- new version 3.2.1
- upstream changed license to MIT
- rediff patches and add file location patch from Gentoo

* Mon Mar 31 2014 akien <akien> 3.2.0-8.mga5
+ Revision: 610916
- Rebuild for new OGRE

* Wed Feb 05 2014 wally <wally> 3.2.0-6.mga5
+ Revision: 583684
- rebuild for new boost

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-5.mga4
+ Revision: 531645
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 wally <wally> 3.2.0-4.mga4
+ Revision: 464404
- fix wrapper scripts after behavior change in findutils 4.5.11

* Wed Aug 07 2013 wally <wally> 3.2.0-3.mga4
+ Revision: 464385
- fix font symlinks

* Wed Aug 07 2013 wally <wally> 3.2.0-2.mga4
+ Revision: 464370
- make main pkg to require libs
- add requires exceptions for devel pkg
- add common provides to devel pkg

* Wed Aug 07 2013 wally <wally> 3.2.0-1.mga4
+ Revision: 464359
- import MyGUI (based on .spec and patches from Fedora)
- add patch to fix build with gcc 4.7 (from SUSE)
- add patch to fix linking

